/*
 * DummyBugSessionBean.java
 *
 * Created on 27 de Junho de 2006, 15:33
 *
 * Identification
 * $id$
 *
 * Changelog
 * $log$
 */

package dummybug;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author dyego
 */
@Stateless
public class DummyBugSessionBean implements dummybug.DummyBugSessionRemote, dummybug.DummyBugSessionLocal {
    
    @PersistenceContext()
    private EntityManager em;
    
    /** Creates a new instance of DummyBugSessionBean */
    public DummyBugSessionBean() {
        
    }
    
    public int addPeople(People pe) {
        em.persist(pe);
        return pe.getPeId();
    }
    
    public People getPeople(int id) {
        return em.find(People.class,id);
    }
    
    
    
}
